View Issue Details

IDProjectCategoryView StatusLast Update
0002057FreeCADBugpublic2015-10-10 22:26
ReportershoogenAssigned Towmayer 
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002057: BoundBox.h doesn't work with 2D objects
DescriptionFreeCAD supports 2D geometry. But the BoundingBox implementation won't find an intersection if all Z coordinates are 0.
Steps To Reproduce>>> FreeCAD.BoundBox(-2,-1,0,2,1,0).isIntersection(FreeCAD.BoundBox(-1,-2,0,1,2,0))
False
TagsNo tags attached.

Relationships

child of 0002050 closedyorik FreeCAD freezes when adding a Draft Dimension 

Activities

shoogen

2015-04-15 08:36

developer   ~0006026

// Checks if point K lies on the ray [A,B[
 #define IS_ON_RAY(A,B,K) (((A) <= (K)) && ((B) > (K)))

shoogen

2015-04-15 13:18

developer   ~0006027

I created the branch github.com/5263FreeCAD dev-bb
But it crashes FreeCAD in distToShape again.

wmayer

2015-10-10 22:26

administrator   ~0006492

FreeCAD.BoundBox(-2,-1,0,2,1,0).intersect(FreeCAD.BoundBox(-1,-2,0,1,2,0))
==> True

Issue History

Date Modified Username Field Change
2015-04-15 08:22 shoogen New Issue
2015-04-15 08:22 shoogen Status new => assigned
2015-04-15 08:22 shoogen Assigned To => wmayer
2015-04-15 08:22 shoogen Relationship added child of 0002050
2015-04-15 08:36 shoogen Note Added: 0006026
2015-04-15 12:57 shoogen Assigned To wmayer => shoogen
2015-04-15 13:18 shoogen Note Added: 0006027
2015-04-25 09:59 shoogen Assigned To shoogen =>
2015-04-25 09:59 shoogen Status assigned => new
2015-10-10 22:25 wmayer Changeset attached => FreeCAD Master master a4d1dbe5
2015-10-10 22:26 wmayer Note Added: 0006492
2015-10-10 22:26 wmayer Status new => closed
2015-10-10 22:26 wmayer Assigned To => wmayer
2015-10-10 22:26 wmayer Resolution open => fixed
2015-10-10 22:26 wmayer Fixed in Version => 0.16